package com.capitalware.ufm.schedule;

/**
 * The listener interface for handling schedule entries.
 * 
 * @author Roger Lacroix
 * @version 1.0
 * @license Apache 2 License
 */
public interface ScheduleListener
{

   /**
    * Invoked when an scheduled item is triggered.
    * 
    * @param entry
    *           the Entry which has been triggered.
    */
   public abstract void handleEvent(ScheduleEntry entry);
}
